Aria: ArFunctor2C< T, P1, P2 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArFunctor2C< T, P1, P2 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArFunctor2C< T, P1, P2 >:

List of all members.

## Detailed Description

### template<class T, class P1, class P2>
class ArFunctor2C< T, P1, P2 >

Functor for a member function with 2 parameters.

This is a class for member functions which take 2 parameters. This class contains the knowledge on how to call a member function on a particular instance of a class. This class should be instantiated by code that wishes to pass off a functor to another piece of code.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArFunctor2C (T *obj, void(T::*func)(P1, P2), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArFunctor2C (T *obj, void(T::*func)(P1, P2), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArFunctor2C (T *obj, void(T::*func)(P1, P2))
| Constructor - supply function pointer.
| ArFunctor2C (T &obj, void(T::*func)(P1, P2), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArFunctor2C (T &obj, void(T::*func)(P1, P2), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArFunctor2C (T &obj, void(T::*func)(P1, P2))
| Constructor - supply function pointer.
| ArFunctor2C ()
| Constructor.
virtual void | invoke (P1 p1, P2 p2)
| Invokes the functor.
virtual void | invoke (P1 p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual void | setThis (T &obj)
| Set the 'this' pointer.
virtual void | setThis (T *obj)
| Set the 'this' pointer.
virtual | ~ArFunctor2C ()
| Destructor.
## Protected Attributes
void(T::* | myFunc )(P1, P2)
T * | myObj
P1 | myP1
P2 | myP2

## Constructor & Destructor Documentation

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T & | obj,
|  | void(T::*)(P1, P2) | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | member function pointer

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T & | obj,
|  | void(T::*)(P1, P2) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | member function pointer
  | p1 | default first parameter

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T & | obj,
|  | void(T::*)(P1, P2) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | member function pointer
  | p1 | default first parameter
  | p2 | default second parameter

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T * | obj,
|  | void(T::*)(P1, P2) | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | member function pointer

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T * | obj,
|  | void(T::*)(P1, P2) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | member function pointer
  | p1 | default first parameter

template<class T, class P1, class P2>

ArFunctor2C< T, P1, P2 >::ArFunctor2C | ( | T * | obj,
|  | void(T::*)(P1, P2) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | member function pointer
  | p1 | default first parameter
  | p2 | default second parameter

## Member Function Documentation

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor2< P1, P2 >.

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::invoke | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor2< P1, P2 >.

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::setThis | ( | T & | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

template<class T, class P1, class P2>

virtual void ArFunctor2C< T, P1, P2 >::setThis | ( | T * | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

The documentation for this class was generated from the following file:

- ArFunctor.h